src/mesh/cs_mesh_quantities.h File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Functions | Variables
cs_mesh_quantities.h File Reference
`#include "cs_base.h"`
`#include "cs_mesh.h"`
Include dependency graph for cs_mesh_quantities.h:

Go to the source code of this file.

## Data Structures
struct | cs_mesh_quantities_t

## Functions
void | algcen (cs_int_t *const iopt)
void | comcoc (const cs_int_t *const imrgra)
int | cs_mesh_quantities_cell_cen_choice (const int algo_choice)
void | cs_mesh_quantities_set_cocg_options (int gradient_option)
cs_mesh_quantities_t * | cs_mesh_quantities_create (void)
cs_mesh_quantities_t * | cs_mesh_quantities_destroy (cs_mesh_quantities_t *mesh_quantities)
void | cs_mesh_quantities_compute (const cs_mesh_t *mesh, cs_mesh_quantities_t *mesh_quantities)
void | cs_mesh_quantities_sup_vectors (const cs_mesh_t *mesh, cs_mesh_quantities_t *mesh_quantities)
void | cs_mesh_quantities_face_normal (const cs_mesh_t *mesh, cs_real_t *p_i_face_normal[], cs_real_t *p_b_face_normal[])
void | cs_mesh_quantities_i_faces (const cs_mesh_t *mesh, cs_real_t *p_i_face_cog[], cs_real_t *p_i_face_normal[])
void | cs_mesh_quantities_b_faces (const cs_mesh_t *mesh, cs_real_t *p_b_face_cog[], cs_real_t *p_b_face_normal[])
void | cs_mesh_quantities_check_vol (const cs_mesh_t *mesh, const cs_mesh_quantities_t *mesh_quantities, int allow_error)
void | cs_mesh_quantities_reduce_extended (const cs_mesh_t *mesh, cs_mesh_quantities_t *mesh_quantities)
int | cs_mesh_quantities_compute_count (void)
void | cs_mesh_quantities_dump (const cs_mesh_t *mesh, const cs_mesh_quantities_t *mesh_quantities)

## Variables
cs_mesh_quantities_t * | cs_glob_mesh_quantities

## Function Documentation

void algcen | ( | cs_int_t *const | iopt | ) |

void comcoc | ( | const cs_int_t *const | imrgra | ) |

void cs_mesh_quantities_b_faces | ( | const cs_mesh_t * | mesh,
|  | cs_real_t * | p_b_face_cog[],
|  | cs_real_t * | p_b_face_normal[]
| ) |  |

int cs_mesh_quantities_cell_cen_choice | ( | const int | algo_choice | ) |

void cs_mesh_quantities_check_vol | ( | const cs_mesh_t * | mesh,
|  | const cs_mesh_quantities_t * | mesh_quantities,
|  | int | allow_error
| ) |  |

void cs_mesh_quantities_compute | ( | const cs_mesh_t * | mesh,
|  | cs_mesh_quantities_t * | mesh_quantities
| ) |  |

int cs_mesh_quantities_compute_count | ( | void |  | ) |

cs_mesh_quantities_t* cs_mesh_quantities_create | ( | void |  | ) |

cs_mesh_quantities_t* cs_mesh_quantities_destroy | ( | cs_mesh_quantities_t * | mesh_quantities | ) |

void cs_mesh_quantities_dump | ( | const cs_mesh_t * | mesh,
|  | const cs_mesh_quantities_t * | mesh_quantities
| ) |  |

void cs_mesh_quantities_face_normal | ( | const cs_mesh_t * | mesh,
|  | cs_real_t * | p_i_face_normal[],
|  | cs_real_t * | p_b_face_normal[]
| ) |  |

void cs_mesh_quantities_i_faces | ( | const cs_mesh_t * | mesh,
|  | cs_real_t * | p_i_face_cog[],
|  | cs_real_t * | p_i_face_normal[]
| ) |  |

void cs_mesh_quantities_reduce_extended | ( | const cs_mesh_t * | mesh,
|  | cs_mesh_quantities_t * | mesh_quantities
| ) |  |

void cs_mesh_quantities_set_cocg_options | ( | int | gradient_option | ) |

void cs_mesh_quantities_sup_vectors | ( | const cs_mesh_t * | mesh,
|  | cs_mesh_quantities_t * | mesh_quantities
| ) |  |

## Variable Documentation

cs_mesh_quantities_t* cs_glob_mesh_quantities